## e-name-western

e-name-western

## Synopsis

                        ENameWestern;
    ENameWestern*       e_name_western_parse                (const char *full_name);
    void                e_name_western_free                 (ENameWestern *w);

## Description

## Details

### ENameWestern

    typedef struct {
    	/* Public */
    	char *prefix;
    	char *first;
    	char *middle;
    	char *nick;
    	char *last;
    	char *suffix;

    	/* Private */
    	char *full;
    } ENameWestern;

### e_name_western_parse ()

    ENameWestern*       e_name_western_parse                (const char *full_name);

`full_name` : |
Returns : |

### e_name_western_free ()

    void                e_name_western_free                 (ENameWestern *w);

`w` : |